Skip to main content
POST
Update fraud order status

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Path Parameters

workflowCode
string
required

Path parameter to specify the workflow code. Machine-friendly code of Workflow.

Pattern: ^[a-z][-A-Za-z0-9]*$
executionId
string<uuid>
required

Identifier of the resource in Payrails.

Body

application/json
status
enum<string>
required

Value of Fraud Order status enumeration.

Available options:
customerCancelled,
failed,
fullyDelivered,
fullyReplaced,
fullyReturned,
fullyShipped,
merchantCancelled,
noShow,
partiallyDelivered,
partiallyReplaced,
partiallyReturned,
partiallyShipped,
pending,
processing

Response

Fraud order status update was requested.

name
enum<string>
required

Triggers fraud updates for payment(s) related to the execution.

Available options:
fraudUpdate
actionId
string<uuid>
required

Unique identifier for this action execution. If its processing is done asynchronously, you will receive a notification with the same actionId.

executedAt
string<date-time>
required

Date and time when execution of the Action was started.

Links to the next possible actions that can be taken.

workspaceId
string<uuid>

Unique identifier of a workspace in Payrails.

requestId
string<uuid>

Unique identifier for this request's execution.

Last modified on October 6, 2026